<!-- Based on fast/repaint/transform-disable-layoutstate.html -->
<!DOCTYPE html>
<html>
<head>
  <script src="resources/paint-invalidation-test.js" type="text/javascript" charset="utf-8"></script>
  <script type="text/javascript" charset="utf-8">
    window.expectedPaintInvalidationObjects = [
        "LayoutBlockFlow DIV",
        "LayoutBlockFlow DIV",
        "LayoutBlockFlow DIV id='target'",
    ];
    function paintInvalidationTest()
    {
      document.getElementById('target').style.height='10px';
    }
  </script>
</head>
<body onload="runPaintInvalidationTest()">
    <div id="container" style="width: 500px; transform: translate(50px, 80px)">
      <div style="padding-bottom: 100px; background: silver;">
          <div style="float: right; height: 50px; width: 50px; background: green;"></div>
          <div style="clear: right; border: 4px solid blue;">
                  <div style="height: 55px;" id="target">
                  </div>
          </div>
      </div>
    </div>
</body>
</html>
